@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;700&family=IBM+Plex+Mono:wght@400;700&family=Source+Serif+Pro:wght@400;700&display=swap');

:root {
    --primary-color: #214F31;
    --secondary-color: #000000;
    --tertiary-color: #F0EBD2;
    --base-color: #E1E1C7;
    --contrast-color: #000000;
    --white-color: #ffffff;
    --pale-pink-color: #f78da7;
    --vivid-red-color: #cf2e2e;
    --luminous-vivid-orange-color: #ff6900;
    --luminous-vivid-amber-color: #fcb900;
    --light-green-cyan-color: #7bdcb5;
    --vivid-green-cyan-color: #00d084;
    --pale-cyan-blue-color: #8ed1fc;
    --vivid-cyan-blue-color: #0693e3;
    --vivid-purple-color: #9b51e0;
    --cyan-bluish-gray-color: #abb8c3;
    --black-color: #000000;
    --very-light-gray-color: #eeeeee;
    --very-dark-gray-color: #313131;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    background-color: var(--base-color);
    color: var(--contrast-color);
    font-family: 'DM Sans', sans-serif;
    background-image: url('https://totmons.com/wp-content/uploads/2023/11/A-cozy-and-welcoming-interior-of-a-plant-shop-1024x585.png');
    background-size: cover;
    background-position: center;
    font-size: 1rem; /* 1rem = 10px */
}

body {
    display: flex;
    flex-direction: column;
}

.container-fluid {
    flex: 1;
    display: flex;
    flex-direction: column;
    padding: 2rem;
    overflow: hidden;
    background-color: rgba(255, 255, 255, 0.2);
}

.header-title {
    text-align: center;
    font-family: 'Source Serif Pro', serif;
    margin-bottom: 2rem;
    color: var(--contrast-color);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    padding: 1rem;
}

.section-header {
    font-family: 'Source Serif Pro', serif;
    color: var(--contrast-color);
}

.content {
    display: flex;
    gap: 2rem;
    margin-left: 0;
    margin-right: 0;
    margin-top: 0;
    height: calc(100vh - 7rem);
    margin-bottom: 2rem;
}

.side-nav,
.main-section,
.search-container,
.search-results-container,
.card {
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 0.8rem;
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.1);
}

.side-nav,
.search-container,
.search-results-container {
    flex: 0 0 20%;
    max-width: 20%;
    min-width: 20%;
    overflow-y: auto;
    padding: 1rem 1rem 0 1rem;
}
.search-results-container {
    min-width: 20%;
    max-width: 100%;
    overflow-y: auto;
}
.search-container {
    padding: 1rem;
    max-width: 20%;
    min-width: 20%;
    overflow-y: auto;
}

.side-nav .nav-link,
.search-container .nav-link {
    list-style-type: none;
    color: var(--contrast-color);
    font-weight: 700;
    font-size: 1rem;
    text-decoration: none;
    margin-bottom: 0;
}
.side-nav .section-header {
    margin: 0.5rem 1rem 0.5rem 1rem;
    font-family: 'Source Serif Pro', serif;
}

.side-nav .nav-link:hover,
.search-container .nav-link:hover {
    text-decoration: none;
}

.nav-item {
    list-style-type: none;
}

.main-content {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.main-section {
    display: none; /* Ensure main sections are hidden initially */
    flex-direction: column;
    padding: 1.25rem;
    overflow-y: auto;
    flex: 1;
}

.main-section.show {
    display: flex; /* Show the section when active */
}

.main-section > .content {
    display: block;
    flex-direction: column;
}

.main-section p {
    font-size: 1.4rem;
}

.plant-name-header {
    font-size: 1.75rem;
    margin-bottom: 1.5rem;
    color: var(--primary-color);
}

.card-columns {
    column-count: 3;
}
#plantList.card-columns {
    column-count: 1;
}

.card-text {
    font-size: 1rem;
}

.card {
    margin-bottom: 2rem;
}

.loading {
    display: none;
    text-align: center;
    padding: 1rem;
}

.loading.show {
    display: block;
}

.form-group {
    margin-bottom: 1rem;
}

.btn-primary {
    margin-top: 1rem;
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.list-group-item {
    cursor: pointer;
}

.list-group-item:hover {
    background-color: var(--very-light-gray-color);
}

.plant-detail p, .search-form p {
    margin-top: 2rem;
}

.subsection {
    margin-top: 2rem;
}

.top-left {
    position: absolute;
    top: 1rem;
    left: 2.5rem;
    z-index: 11;
    border: none;
}

.hamburger {
    background: none;
    border: none;
    box-shadow: none;
    color: var(--white-color);
    outline: none; /* Prevent focus border */
}

.hamburger:focus,
.hamburger:active {
    outline: none; /* Prevent focus and active highlighting */
    box-shadow: none; /* Remove any potential box shadow on focus/active */
}

.top-left .nav-link {
    display: inline-block;
    margin-left: 0;
    color: var(--white-color);
    font-weight: 700;
    font-size: 1rem;
    background: none;
    border: none;
    box-shadow: none;
    padding: 0;
}

.top-right .search-link {
    font-size: 1.5rem;
    text-decoration: none;
    background: none;
    border: none;
    box-shadow: none;
}

#plantList .list-group-item {
    display: inline-block;
    cursor: pointer;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 0.8rem;
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.1);
    float: left;
    margin: 0.5rem;
    display: inline-block;
}

.card-title {
    margin-left: 0;
    margin-bottom: 1.75rem;
    font-size: 1.75rem;
    font-family: 'Source Serif Pro', serif;
}

.container-fluid {
    padding-top: 4rem;
}

.column-header {
    padding-left: 1rem;
    padding-bottom: 1rem;
    font-family: 'Source Serif Pro', serif;
}

.search-container {
    display: none;
    flex-direction: column;
    padding: 1.25rem;
    overflow-y: auto;
    flex: 1;
}

.search-container.show {
    display: block;
}

.search-container {
}
.search-results-container {
    display: none;
    flex-direction: column;
    padding: 1.25rem;
    overflow-y: auto;
    flex: 1;
}

.search-results-container.show {
    display: block;
}
